Invites
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
DELETE | |
POST | |
POST |
List all invites
Required API key scopes
organization_member:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /organizations /:organization_id /invitesExample response
Status 200
RESPONSE
Create invites
Required API key scopes
organization_member:writeRequest parameters
- target_emailstring
- first_namestring
- level
- messagestringnull
- private_project_access
- send_emailbooleanDefault:
true - combine_pending_invitesbooleanDefault:
false
Response
Example request
POST /api /organizations /:organization_id /invitesExample response
Status 201
RESPONSE
Delete invites
Required API key scopes
organization_member:writePath parameters
- idstring
Example request
DELETE /api /organizations /:organization_id /invites /:idExample response
Status 204 No response body
Create invites bulk
Required API key scopes
organization_member:writeRequest parameters
- target_emailstring
- first_namestring
- level
- messagestringnull
- private_project_access
- send_emailbooleanDefault:
true - combine_pending_invitesbooleanDefault:
false
Example request
POST /api /organizations /:organization_id /invites /bulkExample response
Status 200 No response body
Create invites delegate
Create an onboarding delegation invite: an admin-level invite flagged as a setup delegation. Sends a single dedicated delegation email and records the inviting user as having delegated.
Required API key scopes
organization_member:writeRequest parameters
- target_emailstring
- messagestring
- step_at_delegationstring
Response
Example request
POST /api /organizations /:organization_id /invites /delegateExample response
Status 200
RESPONSE